/*
ISO9660 header file

License : GPL
(c) Adam Majerczyk
*/

#ifndef ___ISO9660_H
#define ___ISO9660_H

int dir_cd( void);
unsigned long to_bendian( unsigned long l_in);

unsigned short update_buf(unsigned char *buffer, struct read_file * cmd);


#define	ISO_BOOT_BLOCK			0x10	/*location on CD*/
#define	JOLIET_BOOT_BLOCK		0x11	/*location on CD*/

#define	ISO_VOL_ID				0x28	/*volume identifier*/
#define	ISO_VOL_ID_LEN			0x20	/*len in bytes*/

#define	ISO_VOL_SPACE			0x54	/*volume space size BIG INDIAN*/
#define	ISO_VOL_SPACE_LEN		0x04	/*len in bytes*/

#define ISO_LB_SIZE				0x82	/*logical block size BIG INDIAN*/
#define	ISO_LB_SIZE_LEN			0x02

#define	ISO_PTABLE_SIZE			0x88	/*path table size BIG INDIAN*/
#define	ISO_PTABLE_SIZE_LEN		0x04

#define	ISO_PTABLE				0x94	/*ocurence of M-path table*/
#define	ISO_PTABLE_LEN			0x04

#define ISO_ROOT				0xA2	/*location of root record BIG INDIAN*/
#define	ISO_ROOT_LEN			0x04


#endif