
#ifndef __MEMORY_H
#define __MEMORY_H

#include "my_defs.h"

/* external RAM*/

#if MINIMEGAHMPEG == FALSE		// Hmpeg
	#define ARG_BUFFER_ADR	0x260
#else							// MiniMegaHmpeg
	#define ARG_BUFFER_ADR	0x1000
#endif
#define	ARG_BUF_S		8

#define W_BUFFER_ADR	(ARG_BUFFER_ADR + ARG_BUF_S)
#define W_BUF_S			0x100  

#define W1_BUFFER_ADR	(W_BUFFER_ADR + W_BUF_S)
#define W1_BUF_S		0x80
													  
#define DIRNAME_ADR		(W1_BUFFER_ADR + W1_BUF_S)
#define DIRNAME_S		0x180

#define NAMEBUFFER_ADR	(DIRNAME_ADR + DIRNAME_S)
#define NAMEBUF_S		0x200

#define MASBUFFER_ADR	(NAMEBUFFER_ADR + NAMEBUF_S)
#define MAS_BUF_S		8

#define FATBUFFER_ADR	(MASBUFFER_ADR + MAS_BUF_S)
#define FAT_BUF_S		0x200 

#define CD_CMD_ADR		(FATBUFFER_ADR + FAT_BUF_S)
#define CD_CMD_S		16 

#define DIRBUFFER_ADR 	(CD_CMD_ADR + CD_CMD_S)
#define DIRBUF_S		DER REST!

#define PLAYBUFFERSIZE		0x2000
#define PLAY_BUFFER_START	0x3e00		
#define PLAY_BUFFER_2		PLAY_BUFFER_START + PLAYBUFFERSIZE
#define PLAY_BUFFER_END		PLAY_BUFFER_2 + PLAYBUFFERSIZE

#define SECTORBUFFER_ADR 	0x7e00

#endif




				    