#include <io.h>
#include <timer.h>
#include "my_defs.h"
#include "serial.h"
#include "tools.h"
#include "ir.h"

//extern unsigned char UPDATE_BUF;
//rc5 adr code
unsigned char rc_adr;
// 765 43210
// xST addresse 	S - Startbit	T-Toggle bit

//rc5 cmd code
// 76 543210
// xx -code-
unsigned char rc_cmd;

unsigned int get_rc5( void)
{
	unsigned char ir_delay, time;
	unsigned char dummy, dummy1, tmp;

		tmp=0;

		//zeit fuer 1/2 bit messen
		timer0_stop();
		timer0_source(CK256);	//update every 32us
		timer0_start();
		loop_until_bit_is_set(PINB, PINB0);
		ir_delay = inp(TCNT0);
		timer0_stop();
//		if(UPDATE_BUF != 0) return;
		//setzte max time
		ir_delay++;

		//daten empfangen
		for(dummy=0; dummy<13; dummy++)
		{
			if(bit_is_clear(PINB, PINB0) )
			{
				dummy1=0;
			}
			else
			{
				dummy1=1;
			}

			timer0_source(CK256);
			timer0_start();
			while(1)
			{
				time=inp(TCNT0);
				if(time > ir_delay)
				{
					rc_adr=0xff;	//timeout
					return 0;
				}
				//flanke gewechselt ?
				if(bit_is_clear(PINB, PINB0) && (dummy1==1) )
					{
						// 1
						sec();
						rol(tmp);
						break;
					}
					else
					if(bit_is_set(PINB, PINB0) && (dummy1==0) )
						{
							// 0
							clc();
							rol(tmp);
							break;
						}
//				if(UPDATE_BUF != 0) return;
			}
			timer0_stop();

			//save data
			if( dummy == 6)
			{
				rc_adr=tmp;
				tmp=0;
			}

			//delay
			timer0_source(CK256);
			timer0_start();
			while(1)
			{
				time=inp(TCNT0);
				if(time > ir_delay) break;
//				if(UPDATE_BUF != 0) return;
			}
			timer0_stop();
		}

	rc_cmd = tmp;
	return rc_cmd;
}
